=== debian/changelog ===
ros-one-rotate-recovery (1.17.3-4noble.20251023.1515) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 15:15:32 +0000

ros-one-rotate-recovery (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-rotate-recovery (1.17.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-rotate-recovery (1.17.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-rotate-recovery (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-rotate-recovery (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-rotate-recovery (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-rotate-recovery (1.16.4-0noble) noble; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-rotate-recovery (1.16.3-0noble) noble; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Cherry pick #914 <https://github.com/ros-planning/navigation/issues/914> (#919 <https://github.com/ros-planning/navigation/issues/919>)
  * Contributors: David V. Lu!!, Steven Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-rotate-recovery (1.16.2-0noble) noble; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * fix rotate_recovery debian build
    * add depend on tf2_geometry_msgs (due to https://github.com/ros/geometry2/issues/275)
    * add other hidden depends: angles, geometry_msgs, tf2
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-rotate-recovery (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-rotate-recovery (1.16.0-0noble) noble; urgency=high

  * Remove dependency on PCL
  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * fix param names of RotateRecovery, closes #706 <https://github.com/ros-planning/navigation/issues/706>
  * Contributors: David V. Lu, Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-rotate-recovery (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-rotate-recovery (1.15.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-rotate-recovery (1.15.0-0noble) noble; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-rotate-recovery (1.14.0-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-rotate-recovery (1.13.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 00:00:00 -0000


