=== debian/control ===
Source: ros-one-rotate-recovery
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-angles, ros-one-base-local-planner, ros-one-catkin, ros-one-cmake-modules, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-nav-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/rotate_recovery
Standards-Version: 3.9.2

Package: ros-one-rotate-recovery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-nav-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: This package provides a recovery behavior for the navigation stack that attempts to clear space by performing a 360 degree rotation of the robot.
