## ros-one-rotate-recovery 1.17.3-4noble.20251208.1227

=== debian/changelog ===
ros-one-rotate-recovery (1.17.3-4noble.20251208.1227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 12:27:47 +0000
